<!--
  @File Name          : listedessoustache.html
  @Description        : 
  @Author             : ChangeMeIn@UserSettingsUnder.SFDoc
  @Group              : 
  @Last Modified By   : ChangeMeIn@UserSettingsUnder.SFDoc
  @Last Modified On   : 21/06/2020 à 17:20:57
  @Modification Log   : 
  Ver       Date            Author      		    Modification
  1.0    03/06/2020   ChangeMeIn@UserSettingsUnder.SFDoc     Initial Version
-->
<template>
    <div class='slds-card slds-p-vertical_x-large'>
        <div class="slds-m-bottom_small">
			<p class="slds-m-bottom_xx-large slds-m-bottom_xx-large slds-m-bottom_xx-large slds-text-heading_large slds-text-align_center slds-m-top_medium"><b>Sub-Ticket Table Tables Assigned To The ticket"{DetailTicket.Name}"</b>
			</p>
		</div>
        <lightning-breadcrumbs class="slds-m-top_x-large  slds-m-top_x-large slds-m-left_larg">
            <lightning-breadcrumb
            label={DetailProjet.Name}
            href="path/to/place/1"
            onclick={handleNavigateToProjet} style="font-size: 116%;
            font-weight: 700;color: black;">>
        </lightning-breadcrumb>
        <lightning-breadcrumb
            label={DetailUserStory.Name} style="font-size: 116%;
            font-weight: 700;color: black;">>
        </lightning-breadcrumb>
        <lightning-breadcrumb
            label={DetailTicket.Name} style="font-size: 116%;
            font-weight: 700;color: black;">>
        </lightning-breadcrumb>
            <lightning-breadcrumb if:true={showpages}
            label={record.Name} style="font-size: 116%;
            font-weight: 700;color: black;">>
        </lightning-breadcrumb>
        </lightning-breadcrumbs>
        <lightning-button class="btt_ajouter" icon-name="utility:add"  style="  margin-left: 416px;"  label="Add a Sub-Ticket" variat="brand" onclick={openmodal} ></lightning-button>
        <template if:true={openmodel}>
        <div class="demo-only">
            <section role="dialog" tabindex="-1" aria-labelledby="modal-heading-01" aria-modal="true" aria-describedby="modal-content-id-1" class="slds-modal slds-fade-in-open">
                <div class="slds-modal__container">
                    <header class="slds-modal__header">
                        <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModal}>
                            <lightning-icon icon-name="utility:close" size="medium">
                            </lightning-icon>
                            <span class="slds-assistive-text">Close</span>
                        </button>
                        <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate">Add a Sub-Ticket</h2>
                    </header>
                    <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">     
        <table>
        <tr>
            <td>
            <p>User Story Name:</p>
            </td>
            <td>
            <lightning-input type="text" label=" "  required ="required"   value={DetailUserStory.Name}  disabled ></lightning-input>
            </td>
        </tr>
        <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
        <TR></TR>
            <tr>
            <td>
                <p>Ticket Name:</p>
            </td>
            <td>
                <lightning-input type="text" label=" " required ="required" value={DetailTicket.Name} disabled></lightning-input>
            </td>
            </tr>
            <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
            <TR></TR>
            <tr>
                <td>
                <p> Sub-Ticket Name: </p>
                </td>
                <td>
                    <lightning-input type="text" label=" " onchange={handleNameSousTicketchange} value={SousTicketRecord.Name} ></lightning-input>
                </td>
                </tr> 
            <tr>
            <td>
                <p>Description:</p>
            </td>
            <td>
                <lightning-input type="text" label=" "  required ="required"  onchange={handleDescriptionSousTicketchange} value={SousTicketRecord.Description__c}  placeholder="type here..."></lightning-input>
            </td>
            </tr> 
            <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
            <TR></TR>
            <tr>
            <td>
                <p>State:</p>
            </td>
            <td> 
                <lightning-combobox name="tat__c" 
                label=" " value={value} placeholder="-Select-"
                options={pickListvalues} onchange={handleetatSousTicketchange}>
            </lightning-combobox>
            </td>
            </tr> 
            <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
            <TR></TR>
        </table>
        </div>
        <footer class="slds-modal__footer">
            <lightning-button label="Cancel" variant="neutral" onclick={closeModal}></lightning-button>
            <lightning-button label="Save" variant="brand" onclick={saveMethod}></lightning-button>
        </footer>
        </div>
        </section>
        <div class="slds-backdrop slds-backdrop_open"></div>
        </div>
        </template>
        <div style="    margin-block-start: 3px;
        margin-right: 59%;">
        <template if:true={data}>
            <lightning-datatable data={data}
                                columns={columns}
                                key-field="id"
                                hide-checkbox-column="false"
                                onrowaction={handleRowActions}></lightning-datatable>
        </template>
        </div>
        <!-- Spinner -->
        <div if:true={showLoadingSpinner}>
            <lightning-spinner alternative-text="Loading" size="large"></lightning-spinner>
            </div>
    <!-- Detail view modal -->
    <template if:true={bShowModal}>
    <section role="dialog" tabindex="-1"
            aria-labelledby="modal-heading-03"
            aria-modal="true"
            aria-describedby="modal-content-id-3"
            class="slds-modal slds-fade-in-open">
    <div class="slds-modal__container">
        <!-- modal header -->
        <header class="slds-modal__header">
            <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModalAction}>
            <lightning-icon icon-name="utility:close" alternative-text="close" variant="inverse" size="small" ></lightning-icon>
            </button>
            <h2 id="modal-heading-03" class="slds-text-heading_medium slds-hyphenate" if:false={isEditForm}>Record Detail</h2>
            <h2 id="modal-heading-02" class="slds-text-heading_medium slds-hyphenate" if:true={isEditForm}>Update Record Values</h2>
        </header>
        <!-- modal body -->
        <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-3" if:false={isEditForm}>
            <dl class="slds-list_horizontal slds-wrap">
                <dt class="slds-item_label slds-truncate" title="User story name">Project Name:</dt>
                <dd class="slds-item_detail slds-truncate">{DetailProjet.Name}</dd>
                <dt class="slds-item_label slds-truncate" title="User story name">User story Name:</dt>
                <dd class="slds-item_detail slds-truncate">{DetailUserStory.Name}</dd>
                <dt class="slds-item_label slds-truncate" title="User story name">Ticket Name:</dt>
                <dd class="slds-item_detail slds-truncate">{DetailTicket.Name}</dd>
                <dt class="slds-item_label slds-truncate" title="Ticket Name">Under Ticket  Name:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Name}</dd>
                <dt class="slds-item_label slds-truncate" title="Description">Description:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Description__c}</dd>
                <dt class="slds-item_label slds-truncate" title="State">State:</dt>
                <dd class="slds-item_detail slds-truncate">{record.tat__c}</dd>
            </dl>
        </div>
        <!-- showing record edit form -->
        <div if:true={isEditForm} class="slds-theme_default">
            <lightning-record-edit-form layout-type="Full" record-id={currentRecordId} object-api-name="Sous_Ticket__c" onsubmit={handleSubmit} onsuccess={handleSuccess}>
                <lightning-messages></lightning-messages>
                <lightning-output-field field-name="Projet__c"></lightning-output-field>
                <lightning-output-field field-name="User_Story__c"></lightning-output-field>
                <lightning-output-field field-name="Ticket__c"></lightning-output-field>
                <lightning-input-field field-name="Name"></lightning-input-field>
                <lightning-input-field field-name="Description__c"></lightning-input-field>
                <lightning-input-field field-name="tat__c"></lightning-input-field>
                <br/>
                <div style="text-align:center;">
                <lightning-button class="slds-m-top_small"
                                    variant="brand"
                                    type="submit"
                                    name="update"
                                    label="Update Record"></lightning-button>
                </div>
            </lightning-record-edit-form><br/>
        </div>
        <!-- modal footer start-->
        <footer class="slds-modal__footer" if:false={isEditForm}>
            <lightning-button variant="brand"
                            label="Close"
                            title="Close"
                            onclick={closeModalAction}></lightning-button>
        </footer>
    </div>
    </section>
    <div class="slds-backdrop slds-backdrop_open"></div>
    </template>
    <tamplate if:true={showpages}>
<div class="slds-box slds-theme_default"  style="  margin-left: 48%;
margin-top: -8%;
margin-right: 1%;">
    
      <dl class="slds-list_inline" style="    margin-left: 22%;
      margin-block-end: 4%;">
        <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;"><lightning-icon icon-name="utility:date_input" alternative-text="estimated time" size="x-small"
        title="x-small size"></lightning-icon></dt>
        <dd class="slds-item_detail slds-truncate" ><lightning-formatted-date-time
          value={timestamp}
          year="numeric"
          month="numeric"
          day="numeric"
          hour="2-digit"
          minute="2-digit"
          second="2-digit"
          time-zone-name="short">
      </lightning-formatted-date-time>
        </dd>
        </dl>
        <dl class="slds-list_inline" style="margin-left: 10%;margin-block-end: 4%;">
          <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;">

            <tamplate if:true={Icon_Completed}>
    
              <lightning-icon icon-name="utility:check" alternative-text="Completed" size="x-small"
              title="x-small size"></lightning-icon></tamplate>

              <tamplate if:true={Icon_Deferred}><lightning-icon icon-name="utility:close" alternative-text="Deferred" class="slds-icon slds-icon-text-error" size="x-small"
                title="small size"></lightning-icon></tamplate>

                <tamplate if:true={Icon_Not_Started}><lightning-icon icon-name="utility:pause" alternative-text="Not_Started" size="x-small">

                </lightning-icon></tamplate>

                  <tamplate if:true={Icon_In_Progress}><lightning-icon icon-name="utility:play" alternative-text="In_Progress" size="x-small"
                    title="x-small size"></lightning-icon>
                  </tamplate>
                </dt>
          <dd class="slds-item_detail slds-truncate" ><p>{record.tat__c}</p>
          </dd>
          </dl>
    
    </br>
<centre style="    margin-left: 38%;">
<lightning-button-icon
 icon-name="utility:check"    
 alternative-text="Icon_Completed" 
 class="slds-theme--success"  
 style="   padding-block-end: 8px;
padding-block-start: 1%;" 
title="Icon_Completed" 
onclick={toCompleted} >
</lightning-button-icon>
<!-- ********** -->
<lightning-button-icon 
icon-name="utility:close"
alternative-text="Icon_Deferred"
class="  slds-theme--error slds-is-selecte"
style="   padding-block-end: 8px;
padding-block-start: 1%;" 
title="Icon_Deferred" 
onclick={toDeferred} >
</lightning-button-icon>
<!-- ****** -->
<lightning-button-icon 
icon-name="utility:pause"    
alternative-text="Icon_Not_Started"   
class=" slds-theme--inverse slds-is-selecte" 
style="   padding-block-end: 8px;
padding-block-start: 1%;" 
title="Icon_Not_Started" 
onclick={toNotStarted} >
</lightning-button-icon>
<!-- ********* -->
<lightning-button-icon 
icon-name="utility:play"    
alternative-text="Icon_In_Progress"  
 class="slds-theme--warning .slds-icon-text-default lds-icon_container" 
 style="   padding-block-end: 8px;
padding-block-start: 1%;" 
title="Icon_In_Progress"
 onclick={toInProgress} >
</lightning-button-icon>
</centre>
<div style="    margin-left: 44%;">
<lightning-button-icon icon-name="utility:edit" style="margin-left: 1%;"   alternative-text="Edit"  key-field="id" class="slds-m-left_xx-small" title="Edit" onclick={editRecord}></lightning-button-icon>
</div>
<dl class="slds-list_inline" >
    <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
    color: black;">Ticket Name:</dt>
    <dd class="slds-item_detail slds-truncate" ><p> {record.Name}</p>
  </dd>
    </dl>
  </br>
    <dl class="slds-list_inline" >
      <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
      color: black;">Notes:</dt>
      <dd class="slds-item_detail slds-truncate" >   <template if:false={verification}>{record.Notes__c}</template>
        <template if:true={verification}>{Notes__c}</template>
      </dd>
      </dl>
  </br>
                  <lightning-textarea
                  name="myTextArea"
                  label=" Add Notes?"
                  onchange={handleSousTicketNoteschange} style="margin-left: 177px;
                  width: 100%;
                  margin-left: 1%;">
          </lightning-textarea> 
</div>
            </tamplate>
     
    </div>
</template>